Skip to main content
GET
/
api
/
v1
/
configurator
/
jobs
/
{jobId}
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/configurator/jobs/{jobId}
import requests

url = "https://api.staging.qyl.dev/api/v1/configurator/jobs/{jobId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/configurator/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "workspace_id": "<string>",
  "profile_id": "<string>",
  "priority": 123,
  "queued_at": "2023-11-07T05:31:56Z",
  "input_hash": "<string>",
  "output_path": "<string>",
  "output_hash": "<string>",
  "error_message": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "duration_ms": 123
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

jobId
string
required

Response

The request has succeeded.

Code generation job entry

id
string
required

Job ID

workspace_id
string
required

Workspace

profile_id
string
required

Profile

job_type
enum<string>
required

Job type

Available options:
full,
incremental,
preview
status
enum<string>
required

Job status

Available options:
queued,
running,
completed,
failed,
cancelled
priority
integer<int32>
required

Priority (higher = more urgent)

queued_at
string<date-time>
required

Queue timestamp

input_hash
string

Hash of inputs for dedup

output_path
string

Local path where output was written

output_hash
string

Hash of generated output

error_message
string

Error message if failed

started_at
string<date-time>

Start timestamp

completed_at
string<date-time>

Completion timestamp

duration_ms
integer<int32>

Duration in milliseconds